Bug 79452 - [EFL] Implementation of GraphicsContext3D for EFL port
Summary: [EFL] Implementation of GraphicsContext3D for EFL port
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Linux
: P2 Normal
Assignee: Kenneth Rohde Christiansen
URL:
Keywords:
Depends on:
Blocks: 79766
  Show dependency treegraph
 
Reported: 2012-02-23 23:48 PST by Hyowon Kim
Modified: 2012-09-26 08:34 PDT (History)
7 users (show)

See Also:


Attachments
Patch (32.99 KB, patch)
2012-02-24 00:39 PST, Hyowon Kim
no flags Details | Formatted Diff | Diff
Patch (33.44 KB, patch)
2012-02-24 00:42 PST, Hyowon Kim
no flags Details | Formatted Diff | Diff
Patch (4.81 KB, patch)
2012-09-26 08:29 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hyowon Kim 2012-02-23 23:48:00 PST
Evas_GL is used to do OpenGL rendering on Evas, in which a structure 'Evas_GL_API' contains all the OpenGL functions.

GraphicsContext3D in EFL port should call OpenGL functions indirectly through the Evas_GL_API, and not use GraphicsContext3DOpenGL(Common).

So, we use the GraphicsContext3DPrivate to delegate all OpenGL function calls, and it will be implemented to use Evas_GL (bug 62961).
Comment 1 Hyowon Kim 2012-02-24 00:39:57 PST
Created attachment 128678 [details]
Patch
Comment 2 Hyowon Kim 2012-02-24 00:42:08 PST
Created attachment 128679 [details]
Patch
Comment 3 WebKit Review Bot 2012-02-26 17:11:34 PST
Comment on attachment 128679 [details]
Patch

Clearing flags on attachment: 128679

Committed r108938: <http://trac.webkit.org/changeset/108938>
Comment 4 WebKit Review Bot 2012-02-26 17:11:38 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 Kenneth Rohde Christiansen 2012-09-26 08:29:00 PDT
Reopening to attach new patch.
Comment 6 Kenneth Rohde Christiansen 2012-09-26 08:29:06 PDT
Created attachment 165809 [details]
Patch
Comment 7 Kenneth Rohde Christiansen 2012-09-26 08:33:41 PDT
I added to the wrong bug sorry...